added missing comma
[psensor-pkg-ubuntu.git] / tests / Makefile.in
1 # Makefile.in generated by automake 1.14.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
18 am__make_running_with_option = \
19   case $${target_option-} in \
20       ?) ;; \
21       *) echo "am__make_running_with_option: internal error: invalid" \
22               "target option '$${target_option-}' specified" >&2; \
23          exit 1;; \
24   esac; \
25   has_opt=no; \
26   sane_makeflags=$$MAKEFLAGS; \
27   if $(am__is_gnu_make); then \
28     sane_makeflags=$$MFLAGS; \
29   else \
30     case $$MAKEFLAGS in \
31       *\\[\ \   ]*) \
32         bs=\\; \
33         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
34           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
35     esac; \
36   fi; \
37   skip_next=no; \
38   strip_trailopt () \
39   { \
40     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
41   }; \
42   for flg in $$sane_makeflags; do \
43     test $$skip_next = yes && { skip_next=no; continue; }; \
44     case $$flg in \
45       *=*|--*) continue;; \
46         -*I) strip_trailopt 'I'; skip_next=yes;; \
47       -*I?*) strip_trailopt 'I';; \
48         -*O) strip_trailopt 'O'; skip_next=yes;; \
49       -*O?*) strip_trailopt 'O';; \
50         -*l) strip_trailopt 'l'; skip_next=yes;; \
51       -*l?*) strip_trailopt 'l';; \
52       -[dEDm]) skip_next=yes;; \
53       -[JT]) skip_next=yes;; \
54     esac; \
55     case $$flg in \
56       *$$target_option*) has_opt=yes; break;; \
57     esac; \
58   done; \
59   test $$has_opt = yes
60 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
61 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
62 pkgdatadir = $(datadir)/@PACKAGE@
63 pkgincludedir = $(includedir)/@PACKAGE@
64 pkglibdir = $(libdir)/@PACKAGE@
65 pkglibexecdir = $(libexecdir)/@PACKAGE@
66 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
67 install_sh_DATA = $(install_sh) -c -m 644
68 install_sh_PROGRAM = $(install_sh) -c
69 install_sh_SCRIPT = $(install_sh) -c
70 INSTALL_HEADER = $(INSTALL_DATA)
71 transform = $(program_transform_name)
72 NORMAL_INSTALL = :
73 PRE_INSTALL = :
74 POST_INSTALL = :
75 NORMAL_UNINSTALL = :
76 PRE_UNINSTALL = :
77 POST_UNINSTALL = :
78 build_triplet = @build@
79 host_triplet = @host@
80 check_PROGRAMS = test-io-dir-list$(EXEEXT) \
81         test-psensor-type-to-unit-str$(EXEEXT) \
82         test-psensor-value-to-str$(EXEEXT) test-url-encode$(EXEEXT) \
83         test-url-normalize$(EXEEXT)
84 @ATASMART_TRUE@am__append_1 = $(ATASMART_LIBS)
85 @GTOP_TRUE@am__append_2 = $(GTOP_LIBS)
86 TESTS = test-io-dir-list.sh test-psensor-type-to-unit-str$(EXEEXT) \
87         test-psensor-value-to-str$(EXEEXT) test-url-encode$(EXEEXT) \
88         test-url-normalize$(EXEEXT) $(am__append_3)
89 @CPPCHECK_TRUE@am__append_3 = test-cppcheck.sh
90 subdir = tests
91 DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
92         $(top_srcdir)/depcomp $(top_srcdir)/test-driver
93 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
94 am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
95         $(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/lib-ld.m4 \
96         $(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
97         $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
98         $(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
99 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
100         $(ACLOCAL_M4)
101 mkinstalldirs = $(install_sh) -d
102 CONFIG_HEADER = $(top_builddir)/config.h
103 CONFIG_CLEAN_FILES =
104 CONFIG_CLEAN_VPATH_FILES =
105 am_test_io_dir_list_OBJECTS = test_io_dir_list.$(OBJEXT)
106 test_io_dir_list_OBJECTS = $(am_test_io_dir_list_OBJECTS)
107 test_io_dir_list_LDADD = $(LDADD)
108 am_test_psensor_type_to_unit_str_OBJECTS = test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.$(OBJEXT)
109 test_psensor_type_to_unit_str_OBJECTS =  \
110         $(am_test_psensor_type_to_unit_str_OBJECTS)
111 test_psensor_type_to_unit_str_LDADD = $(LDADD)
112 test_psensor_type_to_unit_str_LINK = $(CCLD) \
113         $(test_psensor_type_to_unit_str_CFLAGS) $(CFLAGS) \
114         $(AM_LDFLAGS) $(LDFLAGS) -o $@
115 am_test_psensor_value_to_str_OBJECTS =  \
116         test_psensor_value_to_str-test_psensor_value_to_str.$(OBJEXT)
117 test_psensor_value_to_str_OBJECTS =  \
118         $(am_test_psensor_value_to_str_OBJECTS)
119 test_psensor_value_to_str_LDADD = $(LDADD)
120 test_psensor_value_to_str_LINK = $(CCLD) \
121         $(test_psensor_value_to_str_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
122         $(LDFLAGS) -o $@
123 am_test_url_encode_OBJECTS = test_url_encode.$(OBJEXT)
124 test_url_encode_OBJECTS = $(am_test_url_encode_OBJECTS)
125 test_url_encode_LDADD = $(LDADD)
126 am_test_url_normalize_OBJECTS = test_url_normalize.$(OBJEXT)
127 test_url_normalize_OBJECTS = $(am_test_url_normalize_OBJECTS)
128 test_url_normalize_LDADD = $(LDADD)
129 AM_V_P = $(am__v_P_@AM_V@)
130 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
131 am__v_P_0 = false
132 am__v_P_1 = :
133 AM_V_GEN = $(am__v_GEN_@AM_V@)
134 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
135 am__v_GEN_0 = @echo "  GEN     " $@;
136 am__v_GEN_1 = 
137 AM_V_at = $(am__v_at_@AM_V@)
138 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
139 am__v_at_0 = @
140 am__v_at_1 = 
141 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
142 depcomp = $(SHELL) $(top_srcdir)/depcomp
143 am__depfiles_maybe = depfiles
144 am__mv = mv -f
145 AM_V_lt = $(am__v_lt_@AM_V@)
146 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
147 am__v_lt_0 = --silent
148 am__v_lt_1 = 
149 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
150         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
151 AM_V_CC = $(am__v_CC_@AM_V@)
152 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
153 am__v_CC_0 = @echo "  CC      " $@;
154 am__v_CC_1 = 
155 CCLD = $(CC)
156 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
157 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
158 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
159 am__v_CCLD_0 = @echo "  CCLD    " $@;
160 am__v_CCLD_1 = 
161 SOURCES = $(test_io_dir_list_SOURCES) \
162         $(test_psensor_type_to_unit_str_SOURCES) \
163         $(test_psensor_value_to_str_SOURCES) \
164         $(test_url_encode_SOURCES) $(test_url_normalize_SOURCES)
165 DIST_SOURCES = $(test_io_dir_list_SOURCES) \
166         $(test_psensor_type_to_unit_str_SOURCES) \
167         $(test_psensor_value_to_str_SOURCES) \
168         $(test_url_encode_SOURCES) $(test_url_normalize_SOURCES)
169 am__can_run_installinfo = \
170   case $$AM_UPDATE_INFO_DIR in \
171     n|no|NO) false;; \
172     *) (install-info --version) >/dev/null 2>&1;; \
173   esac
174 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
175 # Read a list of newline-separated strings from the standard input,
176 # and print each of them once, without duplicates.  Input order is
177 # *not* preserved.
178 am__uniquify_input = $(AWK) '\
179   BEGIN { nonempty = 0; } \
180   { items[$$0] = 1; nonempty = 1; } \
181   END { if (nonempty) { for (i in items) print i; }; } \
182 '
183 # Make sure the list of sources is unique.  This is necessary because,
184 # e.g., the same source file might be shared among _SOURCES variables
185 # for different programs/libraries.
186 am__define_uniq_tagged_files = \
187   list='$(am__tagged_files)'; \
188   unique=`for i in $$list; do \
189     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
190   done | $(am__uniquify_input)`
191 ETAGS = etags
192 CTAGS = ctags
193 am__tty_colors_dummy = \
194   mgn= red= grn= lgn= blu= brg= std=; \
195   am__color_tests=no
196 am__tty_colors = { \
197   $(am__tty_colors_dummy); \
198   if test "X$(AM_COLOR_TESTS)" = Xno; then \
199     am__color_tests=no; \
200   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
201     am__color_tests=yes; \
202   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
203     am__color_tests=yes; \
204   fi; \
205   if test $$am__color_tests = yes; then \
206     red='\e[0;31m'; \
207     grn='\e[0;32m'; \
208     lgn='\e[1;32m'; \
209     blu='\e[1;34m'; \
210     mgn='\e[0;35m'; \
211     brg='\e[1m'; \
212     std='\e[m'; \
213   fi; \
214 }
215 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
216 am__vpath_adj = case $$p in \
217     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
218     *) f=$$p;; \
219   esac;
220 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
221 am__install_max = 40
222 am__nobase_strip_setup = \
223   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
224 am__nobase_strip = \
225   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
226 am__nobase_list = $(am__nobase_strip_setup); \
227   for p in $$list; do echo "$$p $$p"; done | \
228   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
229   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
230     if (++n[$$2] == $(am__install_max)) \
231       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
232     END { for (dir in files) print dir, files[dir] }'
233 am__base_list = \
234   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
235   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
236 am__uninstall_files_from_dir = { \
237   test -z "$$files" \
238     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
239     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
240          $(am__cd) "$$dir" && rm -f $$files; }; \
241   }
242 am__recheck_rx = ^[     ]*:recheck:[    ]*
243 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
244 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
245 # A command that, given a newline-separated list of test names on the
246 # standard input, print the name of the tests that are to be re-run
247 # upon "make recheck".
248 am__list_recheck_tests = $(AWK) '{ \
249   recheck = 1; \
250   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
251     { \
252       if (rc < 0) \
253         { \
254           if ((getline line2 < ($$0 ".log")) < 0) \
255             recheck = 0; \
256           break; \
257         } \
258       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
259         { \
260           recheck = 0; \
261           break; \
262         } \
263       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
264         { \
265           break; \
266         } \
267     }; \
268   if (recheck) \
269     print $$0; \
270   close ($$0 ".trs"); \
271   close ($$0 ".log"); \
272 }'
273 # A command that, given a newline-separated list of test names on the
274 # standard input, create the global log from their .trs and .log files.
275 am__create_global_log = $(AWK) ' \
276 function fatal(msg) \
277 { \
278   print "fatal: making $@: " msg | "cat >&2"; \
279   exit 1; \
280 } \
281 function rst_section(header) \
282 { \
283   print header; \
284   len = length(header); \
285   for (i = 1; i <= len; i = i + 1) \
286     printf "="; \
287   printf "\n\n"; \
288 } \
289 { \
290   copy_in_global_log = 1; \
291   global_test_result = "RUN"; \
292   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
293     { \
294       if (rc < 0) \
295          fatal("failed to read from " $$0 ".trs"); \
296       if (line ~ /$(am__global_test_result_rx)/) \
297         { \
298           sub("$(am__global_test_result_rx)", "", line); \
299           sub("[        ]*$$", "", line); \
300           global_test_result = line; \
301         } \
302       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
303         copy_in_global_log = 0; \
304     }; \
305   if (copy_in_global_log) \
306     { \
307       rst_section(global_test_result ": " $$0); \
308       while ((rc = (getline line < ($$0 ".log"))) != 0) \
309       { \
310         if (rc < 0) \
311           fatal("failed to read from " $$0 ".log"); \
312         print line; \
313       }; \
314       printf "\n"; \
315     }; \
316   close ($$0 ".trs"); \
317   close ($$0 ".log"); \
318 }'
319 # Restructured Text title.
320 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
321 # Solaris 10 'make', and several other traditional 'make' implementations,
322 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
323 # by disabling -e (using the XSI extension "set +e") if it's set.
324 am__sh_e_setup = case $$- in *e*) set +e;; esac
325 # Default flags passed to test drivers.
326 am__common_driver_flags = \
327   --color-tests "$$am__color_tests" \
328   --enable-hard-errors "$$am__enable_hard_errors" \
329   --expect-failure "$$am__expect_failure"
330 # To be inserted before the command running the test.  Creates the
331 # directory for the log if needed.  Stores in $dir the directory
332 # containing $f, in $tst the test, in $log the log.  Executes the
333 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
334 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
335 # will run the test scripts (or their associated LOG_COMPILER, if
336 # thy have one).
337 am__check_pre = \
338 $(am__sh_e_setup);                                      \
339 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
340 $(am__tty_colors);                                      \
341 srcdir=$(srcdir); export srcdir;                        \
342 case "$@" in                                            \
343   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
344     *) am__odir=.;;                                     \
345 esac;                                                   \
346 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
347   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
348 if test -f "./$$f"; then dir=./;                        \
349 elif test -f "$$f"; then dir=;                          \
350 else dir="$(srcdir)/"; fi;                              \
351 tst=$$dir$$f; log='$@';                                 \
352 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
353   am__enable_hard_errors=no;                            \
354 else                                                    \
355   am__enable_hard_errors=yes;                           \
356 fi;                                                     \
357 case " $(XFAIL_TESTS) " in                              \
358   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
359     am__expect_failure=yes;;                            \
360   *)                                                    \
361     am__expect_failure=no;;                             \
362 esac;                                                   \
363 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
364 # A shell command to get the names of the tests scripts with any registered
365 # extension removed (i.e., equivalently, the names of the test logs, with
366 # the '.log' extension removed).  The result is saved in the shell variable
367 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
368 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
369 # since that might cause problem with VPATH rewrites for suffix-less tests.
370 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
371 am__set_TESTS_bases = \
372   bases='$(TEST_LOGS)'; \
373   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
374   bases=`echo $$bases`
375 RECHECK_LOGS = $(TEST_LOGS)
376 AM_RECURSIVE_TARGETS = check recheck
377 TEST_SUITE_LOG = test-suite.log
378 TEST_EXTENSIONS = @EXEEXT@ .test
379 LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
380 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
381 am__set_b = \
382   case '$@' in \
383     */*) \
384       case '$*' in \
385         */*) b='$*';; \
386           *) b=`echo '$@' | sed 's/\.log$$//'`; \
387        esac;; \
388     *) \
389       b='$*';; \
390   esac
391 am__test_logs1 = $(TESTS:=.log)
392 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
393 TEST_LOGS = $(am__test_logs2:.test.log=.log)
394 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
395 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
396         $(TEST_LOG_FLAGS)
397 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
398 ACLOCAL = @ACLOCAL@
399 AMTAR = @AMTAR@
400 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
401 APPINDICATOR_CFLAGS = @APPINDICATOR_CFLAGS@
402 APPINDICATOR_LIBS = @APPINDICATOR_LIBS@
403 AR = @AR@
404 ASCIIDOC = @ASCIIDOC@
405 ATASMART_CFLAGS = @ATASMART_CFLAGS@
406 ATASMART_LIBS = @ATASMART_LIBS@
407 AUTOCONF = @AUTOCONF@
408 AUTOHEADER = @AUTOHEADER@
409 AUTOMAKE = @AUTOMAKE@
410 AWK = @AWK@
411 CC = @CC@
412 CCDEPMODE = @CCDEPMODE@
413 CFLAGS = @CFLAGS@
414 CPP = @CPP@
415 CPPFLAGS = @CPPFLAGS@
416 CURL_CFLAGS = @CURL_CFLAGS@
417 CURL_LIBS = @CURL_LIBS@
418 CYGPATH_W = @CYGPATH_W@
419 DEFS = -DPACKAGE_DATA_DIR=\"$(pkgdatadir)\" -DLOCALEDIR=\"$(localedir)\" @DEFS@
420 DEPDIR = @DEPDIR@
421 ECHO_C = @ECHO_C@
422 ECHO_N = @ECHO_N@
423 ECHO_T = @ECHO_T@
424 EGREP = @EGREP@
425 EXEEXT = @EXEEXT@
426 GLIB_COMPILE_SCHEMAS = @GLIB_COMPILE_SCHEMAS@
427 GMSGFMT = @GMSGFMT@
428 GMSGFMT_015 = @GMSGFMT_015@
429 GREP = @GREP@
430 GSETTINGS_DISABLE_SCHEMAS_COMPILE = @GSETTINGS_DISABLE_SCHEMAS_COMPILE@
431 GTK_CFLAGS = @GTK_CFLAGS@
432 GTK_LIBS = @GTK_LIBS@
433 GTOP_CFLAGS = @GTOP_CFLAGS@
434 GTOP_LIBS = @GTOP_LIBS@
435 HAVE_CPPCHECK = @HAVE_CPPCHECK@
436 HELP2MAN = @HELP2MAN@
437 INSTALL = @INSTALL@
438 INSTALL_DATA = @INSTALL_DATA@
439 INSTALL_PROGRAM = @INSTALL_PROGRAM@
440 INSTALL_SCRIPT = @INSTALL_SCRIPT@
441 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
442 INTLLIBS = @INTLLIBS@
443 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
444 JSON_CFLAGS = @JSON_CFLAGS@
445 JSON_LIBS = @JSON_LIBS@
446 LDFLAGS = @LDFLAGS@
447 LIBATIADL_CFLAGS = @LIBATIADL_CFLAGS@
448 LIBATIADL_LIBS = @LIBATIADL_LIBS@
449 LIBICONV = @LIBICONV@
450 LIBINTL = @LIBINTL@
451 LIBMICROHTTPD_CFLAGS = @LIBMICROHTTPD_CFLAGS@
452 LIBMICROHTTPD_LIBS = @LIBMICROHTTPD_LIBS@
453 LIBNOTIFY_CFLAGS = @LIBNOTIFY_CFLAGS@
454 LIBNOTIFY_LIBS = @LIBNOTIFY_LIBS@
455 LIBOBJS = @LIBOBJS@
456 LIBS = @LIBS@ ../src/lib/libpsensor.a $(SENSORS_LIBS) $(am__append_1) \
457         $(am__append_2)
458 LTLIBICONV = @LTLIBICONV@
459 LTLIBINTL = @LTLIBINTL@
460 LTLIBOBJS = @LTLIBOBJS@
461 MAKEINFO = @MAKEINFO@
462 MKDIR_P = @MKDIR_P@
463 MSGFMT = @MSGFMT@
464 MSGFMT_015 = @MSGFMT_015@
465 MSGMERGE = @MSGMERGE@
466 NVIDIA_CFLAGS = @NVIDIA_CFLAGS@
467 NVIDIA_LIBS = @NVIDIA_LIBS@
468 OBJEXT = @OBJEXT@
469 PACKAGE = @PACKAGE@
470 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
471 PACKAGE_NAME = @PACKAGE_NAME@
472 PACKAGE_STRING = @PACKAGE_STRING@
473 PACKAGE_TARNAME = @PACKAGE_TARNAME@
474 PACKAGE_URL = @PACKAGE_URL@
475 PACKAGE_VERSION = @PACKAGE_VERSION@
476 PATH_SEPARATOR = @PATH_SEPARATOR@
477 PKG_CONFIG = @PKG_CONFIG@
478 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
479 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
480 POSUB = @POSUB@
481 PTHREAD_LIBS = @PTHREAD_LIBS@
482 RANLIB = @RANLIB@
483 SENSORS_LIBS = @SENSORS_LIBS@
484 SET_MAKE = @SET_MAKE@
485 SHELL = @SHELL@
486 STRIP = @STRIP@
487 UNITY_CFLAGS = @UNITY_CFLAGS@
488 UNITY_LIBS = @UNITY_LIBS@
489 USE_NLS = @USE_NLS@
490 VERSION = @VERSION@
491 X11_CFLAGS = @X11_CFLAGS@
492 X11_LIBS = @X11_LIBS@
493 XEXT_CFLAGS = @XEXT_CFLAGS@
494 XEXT_LIBS = @XEXT_LIBS@
495 XGETTEXT = @XGETTEXT@
496 XGETTEXT_015 = @XGETTEXT_015@
497 XMKMF = @XMKMF@
498 abs_builddir = @abs_builddir@
499 abs_srcdir = @abs_srcdir@
500 abs_top_builddir = @abs_top_builddir@
501 abs_top_srcdir = @abs_top_srcdir@
502 ac_ct_AR = @ac_ct_AR@
503 ac_ct_CC = @ac_ct_CC@
504 am__include = @am__include@
505 am__leading_dot = @am__leading_dot@
506 am__quote = @am__quote@
507 am__tar = @am__tar@
508 am__untar = @am__untar@
509 bindir = @bindir@
510 build = @build@
511 build_alias = @build_alias@
512 build_cpu = @build_cpu@
513 build_os = @build_os@
514 build_vendor = @build_vendor@
515 builddir = @builddir@
516 datadir = @datadir@
517 datarootdir = @datarootdir@
518 docdir = @docdir@
519 dvidir = @dvidir@
520 exec_prefix = @exec_prefix@
521 gsettingsschemadir = @gsettingsschemadir@
522 host = @host@
523 host_alias = @host_alias@
524 host_cpu = @host_cpu@
525 host_os = @host_os@
526 host_vendor = @host_vendor@
527 htmldir = @htmldir@
528 includedir = @includedir@
529 infodir = @infodir@
530 install_sh = @install_sh@
531 libdir = @libdir@
532 libexecdir = @libexecdir@
533 localedir = @localedir@
534 localstatedir = @localstatedir@
535 mandir = @mandir@
536 mkdir_p = @mkdir_p@
537 oldincludedir = @oldincludedir@
538 pdfdir = @pdfdir@
539 prefix = @prefix@
540 program_transform_name = @program_transform_name@
541 psdir = @psdir@
542 sbindir = @sbindir@
543 sharedstatedir = @sharedstatedir@
544 srcdir = @srcdir@
545 sysconfdir = @sysconfdir@
546 target_alias = @target_alias@
547 top_build_prefix = @top_build_prefix@
548 top_builddir = @top_builddir@
549 top_srcdir = @top_srcdir@
550 EXTRA_DIST = checkpatch.pl \
551         test-cppcheck.sh \
552         test-io-dir-list.sh
553
554 AM_CPPFLAGS = -Wall -Werror
555 test_io_dir_list_SOURCES = test_io_dir_list.c
556 test_psensor_type_to_unit_str_SOURCES = test_psensor_type_to_unit_str.c
557 test_psensor_type_to_unit_str_CFLAGS = -I$(top_srcdir)/src/lib
558 test_psensor_value_to_str_SOURCES = test_psensor_value_to_str.c
559 test_psensor_value_to_str_CFLAGS = -I$(top_srcdir)/src/lib
560 test_url_encode_SOURCES = test_url_encode.c
561 test_url_normalize_SOURCES = test_url_normalize.c
562 all: all-am
563
564 .SUFFIXES:
565 .SUFFIXES: .c .log .o .obj .test .test$(EXEEXT) .trs
566 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
567         @for dep in $?; do \
568           case '$(am__configure_deps)' in \
569             *$$dep*) \
570               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
571                 && { if test -f $@; then exit 0; else break; fi; }; \
572               exit 1;; \
573           esac; \
574         done; \
575         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
576         $(am__cd) $(top_srcdir) && \
577           $(AUTOMAKE) --gnu tests/Makefile
578 .PRECIOUS: Makefile
579 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
580         @case '$?' in \
581           *config.status*) \
582             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
583           *) \
584             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
585             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
586         esac;
587
588 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
589         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
590
591 $(top_srcdir)/configure:  $(am__configure_deps)
592         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
593 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
594         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
595 $(am__aclocal_m4_deps):
596
597 clean-checkPROGRAMS:
598         -test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)
599
600 test-io-dir-list$(EXEEXT): $(test_io_dir_list_OBJECTS) $(test_io_dir_list_DEPENDENCIES) $(EXTRA_test_io_dir_list_DEPENDENCIES) 
601         @rm -f test-io-dir-list$(EXEEXT)
602         $(AM_V_CCLD)$(LINK) $(test_io_dir_list_OBJECTS) $(test_io_dir_list_LDADD) $(LIBS)
603
604 test-psensor-type-to-unit-str$(EXEEXT): $(test_psensor_type_to_unit_str_OBJECTS) $(test_psensor_type_to_unit_str_DEPENDENCIES) $(EXTRA_test_psensor_type_to_unit_str_DEPENDENCIES) 
605         @rm -f test-psensor-type-to-unit-str$(EXEEXT)
606         $(AM_V_CCLD)$(test_psensor_type_to_unit_str_LINK) $(test_psensor_type_to_unit_str_OBJECTS) $(test_psensor_type_to_unit_str_LDADD) $(LIBS)
607
608 test-psensor-value-to-str$(EXEEXT): $(test_psensor_value_to_str_OBJECTS) $(test_psensor_value_to_str_DEPENDENCIES) $(EXTRA_test_psensor_value_to_str_DEPENDENCIES) 
609         @rm -f test-psensor-value-to-str$(EXEEXT)
610         $(AM_V_CCLD)$(test_psensor_value_to_str_LINK) $(test_psensor_value_to_str_OBJECTS) $(test_psensor_value_to_str_LDADD) $(LIBS)
611
612 test-url-encode$(EXEEXT): $(test_url_encode_OBJECTS) $(test_url_encode_DEPENDENCIES) $(EXTRA_test_url_encode_DEPENDENCIES) 
613         @rm -f test-url-encode$(EXEEXT)
614         $(AM_V_CCLD)$(LINK) $(test_url_encode_OBJECTS) $(test_url_encode_LDADD) $(LIBS)
615
616 test-url-normalize$(EXEEXT): $(test_url_normalize_OBJECTS) $(test_url_normalize_DEPENDENCIES) $(EXTRA_test_url_normalize_DEPENDENCIES) 
617         @rm -f test-url-normalize$(EXEEXT)
618         $(AM_V_CCLD)$(LINK) $(test_url_normalize_OBJECTS) $(test_url_normalize_LDADD) $(LIBS)
619
620 mostlyclean-compile:
621         -rm -f *.$(OBJEXT)
622
623 distclean-compile:
624         -rm -f *.tab.c
625
626 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_io_dir_list.Po@am__quote@
627 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.Po@am__quote@
628 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_psensor_value_to_str-test_psensor_value_to_str.Po@am__quote@
629 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_url_encode.Po@am__quote@
630 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_url_normalize.Po@am__quote@
631
632 .c.o:
633 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
634 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
635 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
636 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
637 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
638
639 .c.obj:
640 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
641 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
642 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
643 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
644 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
645
646 test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.o: test_psensor_type_to_unit_str.c
647 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_psensor_type_to_unit_str_CFLAGS) $(CFLAGS) -MT test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.o -MD -MP -MF $(DEPDIR)/test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.Tpo -c -o test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.o `test -f 'test_psensor_type_to_unit_str.c' || echo '$(srcdir)/'`test_psensor_type_to_unit_str.c
648 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.Tpo $(DEPDIR)/test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.Po
649 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='test_psensor_type_to_unit_str.c' object='test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.o' libtool=no @AMDEPBACKSLASH@
650 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
651 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_psensor_type_to_unit_str_CFLAGS) $(CFLAGS) -c -o test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.o `test -f 'test_psensor_type_to_unit_str.c' || echo '$(srcdir)/'`test_psensor_type_to_unit_str.c
652
653 test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.obj: test_psensor_type_to_unit_str.c
654 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_psensor_type_to_unit_str_CFLAGS) $(CFLAGS) -MT test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.obj -MD -MP -MF $(DEPDIR)/test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.Tpo -c -o test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.obj `if test -f 'test_psensor_type_to_unit_str.c'; then $(CYGPATH_W) 'test_psensor_type_to_unit_str.c'; else $(CYGPATH_W) '$(srcdir)/test_psensor_type_to_unit_str.c'; fi`
655 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.Tpo $(DEPDIR)/test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.Po
656 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='test_psensor_type_to_unit_str.c' object='test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.obj' libtool=no @AMDEPBACKSLASH@
657 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
658 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_psensor_type_to_unit_str_CFLAGS) $(CFLAGS) -c -o test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.obj `if test -f 'test_psensor_type_to_unit_str.c'; then $(CYGPATH_W) 'test_psensor_type_to_unit_str.c'; else $(CYGPATH_W) '$(srcdir)/test_psensor_type_to_unit_str.c'; fi`
659
660 test_psensor_value_to_str-test_psensor_value_to_str.o: test_psensor_value_to_str.c
661 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_psensor_value_to_str_CFLAGS) $(CFLAGS) -MT test_psensor_value_to_str-test_psensor_value_to_str.o -MD -MP -MF $(DEPDIR)/test_psensor_value_to_str-test_psensor_value_to_str.Tpo -c -o test_psensor_value_to_str-test_psensor_value_to_str.o `test -f 'test_psensor_value_to_str.c' || echo '$(srcdir)/'`test_psensor_value_to_str.c
662 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_psensor_value_to_str-test_psensor_value_to_str.Tpo $(DEPDIR)/test_psensor_value_to_str-test_psensor_value_to_str.Po
663 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='test_psensor_value_to_str.c' object='test_psensor_value_to_str-test_psensor_value_to_str.o' libtool=no @AMDEPBACKSLASH@
664 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
665 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_psensor_value_to_str_CFLAGS) $(CFLAGS) -c -o test_psensor_value_to_str-test_psensor_value_to_str.o `test -f 'test_psensor_value_to_str.c' || echo '$(srcdir)/'`test_psensor_value_to_str.c
666
667 test_psensor_value_to_str-test_psensor_value_to_str.obj: test_psensor_value_to_str.c
668 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_psensor_value_to_str_CFLAGS) $(CFLAGS) -MT test_psensor_value_to_str-test_psensor_value_to_str.obj -MD -MP -MF $(DEPDIR)/test_psensor_value_to_str-test_psensor_value_to_str.Tpo -c -o test_psensor_value_to_str-test_psensor_value_to_str.obj `if test -f 'test_psensor_value_to_str.c'; then $(CYGPATH_W) 'test_psensor_value_to_str.c'; else $(CYGPATH_W) '$(srcdir)/test_psensor_value_to_str.c'; fi`
669 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_psensor_value_to_str-test_psensor_value_to_str.Tpo $(DEPDIR)/test_psensor_value_to_str-test_psensor_value_to_str.Po
670 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='test_psensor_value_to_str.c' object='test_psensor_value_to_str-test_psensor_value_to_str.obj' libtool=no @AMDEPBACKSLASH@
671 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
672 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_psensor_value_to_str_CFLAGS) $(CFLAGS) -c -o test_psensor_value_to_str-test_psensor_value_to_str.obj `if test -f 'test_psensor_value_to_str.c'; then $(CYGPATH_W) 'test_psensor_value_to_str.c'; else $(CYGPATH_W) '$(srcdir)/test_psensor_value_to_str.c'; fi`
673
674 ID: $(am__tagged_files)
675         $(am__define_uniq_tagged_files); mkid -fID $$unique
676 tags: tags-am
677 TAGS: tags
678
679 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
680         set x; \
681         here=`pwd`; \
682         $(am__define_uniq_tagged_files); \
683         shift; \
684         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
685           test -n "$$unique" || unique=$$empty_fix; \
686           if test $$# -gt 0; then \
687             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
688               "$$@" $$unique; \
689           else \
690             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
691               $$unique; \
692           fi; \
693         fi
694 ctags: ctags-am
695
696 CTAGS: ctags
697 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
698         $(am__define_uniq_tagged_files); \
699         test -z "$(CTAGS_ARGS)$$unique" \
700           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
701              $$unique
702
703 GTAGS:
704         here=`$(am__cd) $(top_builddir) && pwd` \
705           && $(am__cd) $(top_srcdir) \
706           && gtags -i $(GTAGS_ARGS) "$$here"
707 cscopelist: cscopelist-am
708
709 cscopelist-am: $(am__tagged_files)
710         list='$(am__tagged_files)'; \
711         case "$(srcdir)" in \
712           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
713           *) sdir=$(subdir)/$(srcdir) ;; \
714         esac; \
715         for i in $$list; do \
716           if test -f "$$i"; then \
717             echo "$(subdir)/$$i"; \
718           else \
719             echo "$$sdir/$$i"; \
720           fi; \
721         done >> $(top_builddir)/cscope.files
722
723 distclean-tags:
724         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
725
726 # Recover from deleted '.trs' file; this should ensure that
727 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
728 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
729 # to avoid problems with "make -n".
730 .log.trs:
731         rm -f $< $@
732         $(MAKE) $(AM_MAKEFLAGS) $<
733
734 # Leading 'am--fnord' is there to ensure the list of targets does not
735 # expand to empty, as could happen e.g. with make check TESTS=''.
736 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
737 am--force-recheck:
738         @:
739
740 $(TEST_SUITE_LOG): $(TEST_LOGS)
741         @$(am__set_TESTS_bases); \
742         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
743         redo_bases=`for i in $$bases; do \
744                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
745                     done`; \
746         if test -n "$$redo_bases"; then \
747           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
748           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
749           if $(am__make_dryrun); then :; else \
750             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
751           fi; \
752         fi; \
753         if test -n "$$am__remaking_logs"; then \
754           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
755                "recursion detected" >&2; \
756         else \
757           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
758         fi; \
759         if $(am__make_dryrun); then :; else \
760           st=0;  \
761           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
762           for i in $$redo_bases; do \
763             test -f $$i.trs && test -r $$i.trs \
764               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
765             test -f $$i.log && test -r $$i.log \
766               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
767           done; \
768           test $$st -eq 0 || exit 1; \
769         fi
770         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
771         ws='[   ]'; \
772         results=`for b in $$bases; do echo $$b.trs; done`; \
773         test -n "$$results" || results=/dev/null; \
774         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
775         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
776         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
777         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
778         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
779         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
780         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
781         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
782           success=true; \
783         else \
784           success=false; \
785         fi; \
786         br='==================='; br=$$br$$br$$br$$br; \
787         result_count () \
788         { \
789             if test x"$$1" = x"--maybe-color"; then \
790               maybe_colorize=yes; \
791             elif test x"$$1" = x"--no-color"; then \
792               maybe_colorize=no; \
793             else \
794               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
795             fi; \
796             shift; \
797             desc=$$1 count=$$2; \
798             if test $$maybe_colorize = yes && test $$count -gt 0; then \
799               color_start=$$3 color_end=$$std; \
800             else \
801               color_start= color_end=; \
802             fi; \
803             echo "$${color_start}# $$desc $$count$${color_end}"; \
804         }; \
805         create_testsuite_report () \
806         { \
807           result_count $$1 "TOTAL:" $$all   "$$brg"; \
808           result_count $$1 "PASS: " $$pass  "$$grn"; \
809           result_count $$1 "SKIP: " $$skip  "$$blu"; \
810           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
811           result_count $$1 "FAIL: " $$fail  "$$red"; \
812           result_count $$1 "XPASS:" $$xpass "$$red"; \
813           result_count $$1 "ERROR:" $$error "$$mgn"; \
814         }; \
815         {                                                               \
816           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
817             $(am__rst_title);                                           \
818           create_testsuite_report --no-color;                           \
819           echo;                                                         \
820           echo ".. contents:: :depth: 2";                               \
821           echo;                                                         \
822           for b in $$bases; do echo $$b; done                           \
823             | $(am__create_global_log);                                 \
824         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
825         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
826         if $$success; then                                              \
827           col="$$grn";                                                  \
828          else                                                           \
829           col="$$red";                                                  \
830           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
831         fi;                                                             \
832         echo "$${col}$$br$${std}";                                      \
833         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
834         echo "$${col}$$br$${std}";                                      \
835         create_testsuite_report --maybe-color;                          \
836         echo "$$col$$br$$std";                                          \
837         if $$success; then :; else                                      \
838           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
839           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
840             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
841           fi;                                                           \
842           echo "$$col$$br$$std";                                        \
843         fi;                                                             \
844         $$success || exit 1
845
846 check-TESTS:
847         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
848         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
849         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
850         @set +e; $(am__set_TESTS_bases); \
851         log_list=`for i in $$bases; do echo $$i.log; done`; \
852         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
853         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
854         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
855         exit $$?;
856 recheck: all $(check_PROGRAMS)
857         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
858         @set +e; $(am__set_TESTS_bases); \
859         bases=`for i in $$bases; do echo $$i; done \
860                  | $(am__list_recheck_tests)` || exit 1; \
861         log_list=`for i in $$bases; do echo $$i.log; done`; \
862         log_list=`echo $$log_list`; \
863         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
864                 am__force_recheck=am--force-recheck \
865                 TEST_LOGS="$$log_list"; \
866         exit $$?
867 test-io-dir-list.sh.log: test-io-dir-list.sh
868         @p='test-io-dir-list.sh'; \
869         b='test-io-dir-list.sh'; \
870         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
871         --log-file $$b.log --trs-file $$b.trs \
872         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
873         "$$tst" $(AM_TESTS_FD_REDIRECT)
874 test-psensor-type-to-unit-str.log: test-psensor-type-to-unit-str$(EXEEXT)
875         @p='test-psensor-type-to-unit-str$(EXEEXT)'; \
876         b='test-psensor-type-to-unit-str'; \
877         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
878         --log-file $$b.log --trs-file $$b.trs \
879         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
880         "$$tst" $(AM_TESTS_FD_REDIRECT)
881 test-psensor-value-to-str.log: test-psensor-value-to-str$(EXEEXT)
882         @p='test-psensor-value-to-str$(EXEEXT)'; \
883         b='test-psensor-value-to-str'; \
884         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
885         --log-file $$b.log --trs-file $$b.trs \
886         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
887         "$$tst" $(AM_TESTS_FD_REDIRECT)
888 test-url-encode.log: test-url-encode$(EXEEXT)
889         @p='test-url-encode$(EXEEXT)'; \
890         b='test-url-encode'; \
891         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
892         --log-file $$b.log --trs-file $$b.trs \
893         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
894         "$$tst" $(AM_TESTS_FD_REDIRECT)
895 test-url-normalize.log: test-url-normalize$(EXEEXT)
896         @p='test-url-normalize$(EXEEXT)'; \
897         b='test-url-normalize'; \
898         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
899         --log-file $$b.log --trs-file $$b.trs \
900         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
901         "$$tst" $(AM_TESTS_FD_REDIRECT)
902 test-cppcheck.sh.log: test-cppcheck.sh
903         @p='test-cppcheck.sh'; \
904         b='test-cppcheck.sh'; \
905         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
906         --log-file $$b.log --trs-file $$b.trs \
907         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
908         "$$tst" $(AM_TESTS_FD_REDIRECT)
909 .test.log:
910         @p='$<'; \
911         $(am__set_b); \
912         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
913         --log-file $$b.log --trs-file $$b.trs \
914         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
915         "$$tst" $(AM_TESTS_FD_REDIRECT)
916 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
917 @am__EXEEXT_TRUE@       @p='$<'; \
918 @am__EXEEXT_TRUE@       $(am__set_b); \
919 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
920 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
921 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
922 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
923
924 distdir: $(DISTFILES)
925         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
926         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
927         list='$(DISTFILES)'; \
928           dist_files=`for file in $$list; do echo $$file; done | \
929           sed -e "s|^$$srcdirstrip/||;t" \
930               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
931         case $$dist_files in \
932           */*) $(MKDIR_P) `echo "$$dist_files" | \
933                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
934                            sort -u` ;; \
935         esac; \
936         for file in $$dist_files; do \
937           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
938           if test -d $$d/$$file; then \
939             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
940             if test -d "$(distdir)/$$file"; then \
941               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
942             fi; \
943             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
944               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
945               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
946             fi; \
947             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
948           else \
949             test -f "$(distdir)/$$file" \
950             || cp -p $$d/$$file "$(distdir)/$$file" \
951             || exit 1; \
952           fi; \
953         done
954 check-am: all-am
955         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
956         $(MAKE) $(AM_MAKEFLAGS) check-TESTS check-local
957 check: check-am
958 all-am: Makefile
959 installdirs:
960 install: install-am
961 install-exec: install-exec-am
962 install-data: install-data-am
963 uninstall: uninstall-am
964
965 install-am: all-am
966         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
967
968 installcheck: installcheck-am
969 install-strip:
970         if test -z '$(STRIP)'; then \
971           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
972             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
973               install; \
974         else \
975           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
976             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
977             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
978         fi
979 mostlyclean-generic:
980         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
981         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
982         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
983
984 clean-generic:
985
986 distclean-generic:
987         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
988         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
989
990 maintainer-clean-generic:
991         @echo "This command is intended for maintainers to use"
992         @echo "it deletes files that may require special tools to rebuild."
993 clean: clean-am
994
995 clean-am: clean-checkPROGRAMS clean-generic mostlyclean-am
996
997 distclean: distclean-am
998         -rm -rf ./$(DEPDIR)
999         -rm -f Makefile
1000 distclean-am: clean-am distclean-compile distclean-generic \
1001         distclean-tags
1002
1003 dvi: dvi-am
1004
1005 dvi-am:
1006
1007 html: html-am
1008
1009 html-am:
1010
1011 info: info-am
1012
1013 info-am:
1014
1015 install-data-am:
1016
1017 install-dvi: install-dvi-am
1018
1019 install-dvi-am:
1020
1021 install-exec-am:
1022
1023 install-html: install-html-am
1024
1025 install-html-am:
1026
1027 install-info: install-info-am
1028
1029 install-info-am:
1030
1031 install-man:
1032
1033 install-pdf: install-pdf-am
1034
1035 install-pdf-am:
1036
1037 install-ps: install-ps-am
1038
1039 install-ps-am:
1040
1041 installcheck-am:
1042
1043 maintainer-clean: maintainer-clean-am
1044         -rm -rf ./$(DEPDIR)
1045         -rm -f Makefile
1046 maintainer-clean-am: distclean-am maintainer-clean-generic
1047
1048 mostlyclean: mostlyclean-am
1049
1050 mostlyclean-am: mostlyclean-compile mostlyclean-generic
1051
1052 pdf: pdf-am
1053
1054 pdf-am:
1055
1056 ps: ps-am
1057
1058 ps-am:
1059
1060 uninstall-am:
1061
1062 .MAKE: check-am install-am install-strip
1063
1064 .PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am \
1065         check-local clean clean-checkPROGRAMS clean-generic \
1066         cscopelist-am ctags ctags-am distclean distclean-compile \
1067         distclean-generic distclean-tags distdir dvi dvi-am html \
1068         html-am info info-am install install-am install-data \
1069         install-data-am install-dvi install-dvi-am install-exec \
1070         install-exec-am install-html install-html-am install-info \
1071         install-info-am install-man install-pdf install-pdf-am \
1072         install-ps install-ps-am install-strip installcheck \
1073         installcheck-am installdirs maintainer-clean \
1074         maintainer-clean-generic mostlyclean mostlyclean-compile \
1075         mostlyclean-generic pdf pdf-am ps ps-am recheck tags tags-am \
1076         uninstall uninstall-am
1077
1078 check-local: checkpatch.pl
1079         find $(top_srcdir)/src -name \*.c -exec $(srcdir)/checkpatch.pl --ignore SPLIT_STRING --show-types -q --no-tree  -emacs -f {} \;
1080         find $(top_srcdir)/src -name \*.h -exec $(srcdir)/checkpatch.pl --ignore SPLIT_STRING --show-types -q --no-tree  -emacs -f {} \;
1081
1082 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1083 # Otherwise a system limit (for SysV at least) may be exceeded.
1084 .NOEXPORT: